<?xml version="1.0" encoding="UTF-8"?>

<!--
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
-->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.xwiki.projects.swp</groupId>
    <artifactId>xwiki-swp-distribution</artifactId>
    <version>0.24-SNAPSHOT</version>
  </parent>
  <artifactId>xwiki-swp-distribution-xip</artifactId>
  <packaging>xip</packaging>
  <name>XWiki Projects - Sovereign Workplace Project - Distribution - XIP</name>
  <description>Package containing all extension required to install the flavor and extensions offline.</description>
  <dependencies>
    <!-- Application we want to bundle in openDesk but don't want installed by default -->
    <!-- XWiki Pro Applications -->
    <dependency>
      <groupId>com.xwiki.admintools</groupId>
      <artifactId>application-admintools-ui</artifactId>
      <version>1.0.1</version>
      <type>xar</type>
      <exclusions>
        <exclusion>
          <groupId>javax.ws.rs</groupId>
          <artifactId>*</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.xwiki.collabora</groupId>
      <artifactId>application-collabora-ui</artifactId>
      <version>1.5.1</version>
      <type>xar</type>
      <exclusions>
        <exclusion>
          <groupId>javax.ws.rs</groupId>
          <artifactId>*</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.xwiki.flashmessages</groupId>
      <artifactId>application-flashmessages-ui</artifactId>
      <version>1.8</version>
      <type>xar</type>
    </dependency>
    <dependency>
      <groupId>com.xwiki.forum</groupId>
      <artifactId>application-forum-ui</artifactId>
      <version>2.10.1</version>
      <type>xar</type>
    </dependency>
    <dependency>
      <groupId>com.xwiki.ideas</groupId>
      <artifactId>application-ideas</artifactId>
      <version>1.14.2</version>
      <type>xar</type>
      <exclusions>
        <exclusion>
          <groupId>javax.ws.rs</groupId>
          <artifactId>*</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.xwiki.meeting</groupId>
      <artifactId>application-meeting-ui</artifactId>
      <version>1.15</version>
      <type>xar</type>
      <exclusions>
        <exclusion>
          <groupId>com.sun.mail</groupId>
          <artifactId>javax.mail</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.xwiki.xpoll</groupId>
      <artifactId>application-xpoll-ui</artifactId>
      <version>2.3</version>
      <type>xar</type>
      <exclusions>
        <exclusion>
          <groupId>javax.ws.rs</groupId>
          <artifactId>*</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <!-- Recommended extensions not installed by default -->
    <dependency>
      <groupId>org.xwiki.contrib.glossary</groupId>
      <artifactId>application-glossary-ui</artifactId>
      <version>1.5.2</version>
      <type>xar</type>
    </dependency>
    <dependency>
      <groupId>org.xwiki.contrib</groupId>
      <artifactId>application-urlnormalizer-ui</artifactId>
      <version>1.9.0</version>
      <type>xar</type>
    </dependency>
    <!-- Project dependencies -->
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>xwiki-swp-flavor-community-main</artifactId>
      <version>${project.version}</version>
      <type>xar</type>
    </dependency>
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>xwiki-swp-flavor-community-sub</artifactId>
      <version>${project.version}</version>
      <type>xar</type>
    </dependency>
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>xwiki-swp-flavor-enterprise-main</artifactId>
      <version>${project.version}</version>
      <type>xar</type>
    </dependency>
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>xwiki-swp-flavor-enterprise-sub</artifactId>
      <version>${project.version}</version>
      <type>xar</type>
    </dependency>
  </dependencies>
  <build>
    <plugins>
      <plugin>
        <groupId>org.xwiki.commons</groupId>
        <artifactId>xwiki-commons-tool-extension-plugin</artifactId>
        <version>${commons.version}</version>
        <configuration>
          <coreExtensions>
            <!-- We exclude what is already in the WAR -->
            <coreExtension>
              <groupId>org.xwiki.platform</groupId>
              <artifactId>xwiki-platform-distribution-war-dependencies</artifactId>
              <version>${platform.version}</version>
              <type>pom</type>
            </coreExtension>
          </coreExtensions>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
